## extension-helpers 1.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## extension-helpers 0.1

=== debian/changelog ===
extension-helpers (0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Ole Streicher ]
  * Remove version.py (regenerated by scm) (Closes: #978273)
  * Push Standards-Version to 4.5.1. No changes needed
  * Push dh-compat to 13

 -- Ole Streicher <olebole@debian.org>  Sun, 27 Dec 2020 11:48:53 +0100

extension-helpers (0.1-2) unstable; urgency=low

  * Disable autotests at the moment (confirmed by upstream)

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Apr 2020 20:50:04 +0200

extension-helpers (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #956048)

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Apr 2020 21:18:24 +0200

=== debian/control ===
Source: extension-helpers
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev (>= 3.6),
               python3-distutils,
               python3-pip,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.5.1
Homepage: https://pypi.org/project/extension-helpers/
Vcs-Git: https://salsa.debian.org/python-team/packages/extension-helpers.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/extension-helpers

Package: python3-extension-helpers
Architecture: any
Depends: python3-distutils,
         python3-setuptools,
         python3-dev,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Utilities for building and installing packages
 The extension-helpers package includes convenience helpers to assist
 with building Python packages with compiled C/Cython extensions. It is
 developed by the Astropy project but is intended to be general and
 usable by any Python package.
 .
 This is not a traditional package in the sense that it is not intended
 to be installed directly by users or developers. Instead, it is meant to
 be accessed when the setup.py command is run and should be defined as a
 build-time dependency in pyproject.toml files.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/extension-helpers/extension-helpers-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## extension-helpers 1.0.0

=== debian/changelog ===
extension-helpers (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed.
  * Build-depend on pybuild-plugin-pyproject

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Mar 2022 10:57:15 +0100

extension-helpers (0.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all-dev.

  [ Ole Streicher ]
  * Remove usage of distutils (Closes: #1001008)

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Dec 2021 09:06:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: extension-helpers
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev (>= 3.6),
+               pybuild-plugin-pyproject,
+               python3-all-dev,
                python3-distutils,
                python3-pip,
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/extension-helpers
+Vcs-Git: https://salsa.debian.org/python-team/packages/extension-helpers.git
 Homepage: https://pypi.org/project/extension-helpers/
-Vcs-Git: https://salsa.debian.org/python-team/packages/extension-helpers.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/extension-helpers
 
 Package: python3-extension-helpers
 Architecture: any

## extension-helpers 1.1.0

=== debian/changelog ===
extension-helpers (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Push Standards-Version to 4.6.2. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Jul 2023 10:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/extension-helpers
 Vcs-Git: https://salsa.debian.org/python-team/packages/extension-helpers.git
 Homepage: https://pypi.org/project/extension-helpers/

## extension-helpers 1.1.1

=== debian/changelog ===
extension-helpers (1.1.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:17 +1100

extension-helpers (1.1.1-1ubuntu1) noble; urgency=medium

  * Drop Dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:45:48 +0100

extension-helpers (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * TST: fix pyproject-only test (ensure build-time dependencies are installed)
  * Remove duplicate quotes around test paths
  * Add cython3 to build (test) dependencies

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Dec 2023 21:28:13 +0100

extension-helpers (1.1.0-2) unstable; urgency=medium

  * Add missing build dependency python3-tomli (Closes: #1052736)

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Sep 2023 09:44:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: extension-helpers
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cython3 <!nocheck>,
+               debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-distutils,
                python3-pip,
                python3-pytest,
                python3-setuptools,
-               python3-setuptools-scm
+               python3-setuptools-scm,
+               python3-tomli
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/extension-helpers
 Vcs-Git: https://salsa.debian.org/python-team/packages/extension-helpers.git
@@ -19,8 +21,7 @@
 
 Package: python3-extension-helpers
 Architecture: any
-Depends: python3-distutils,
-         python3-setuptools,
+Depends: python3-setuptools,
          python3-dev,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=extension-helpers
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test
	rm -rf .pybuild/*/build/apyhtest_eva/
endif

## extension-helpers 1.2.0

=== debian/changelog ===
extension-helpers (1.2.0-1) unstable; urgency=medium

  * Team Upload
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 1.2.0
  * Use dh-sequence-python3, trim d/rules

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Dec 2024 14:35:29 +0100

extension-helpers (1.1.1-2) unstable; urgency=medium

  * Team Upload
  * Remove stale dependency on python3-distutils (Closes: #1065856)
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 15:06:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: extension-helpers
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3 <!nocheck>,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-pip,
@@ -14,6 +13,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-tomli
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/extension-helpers
 Vcs-Git: https://salsa.debian.org/python-team/packages/extension-helpers.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/extension-helpers/extension_helpers-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## extension-helpers 1.4.0

=== debian/changelog ===
extension-helpers (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Skip tests that require Cython >= 3.1
  * d/watch: Update to version 5; switch upstream to Github

 -- Ole Streicher <olebole@debian.org>  Thu, 18 Sep 2025 13:45:40 +0200

extension-helpers (1.2.0-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 13:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,8 @@
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-tomli
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/extension-helpers
 Vcs-Git: https://salsa.debian.org/python-team/packages/extension-helpers.git
 Homepage: https://pypi.org/project/extension-helpers/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=extension-helpers
export PYBUILD_TEST_ARGS=extension_helpers/tests/test*.py
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_test:
	rm -rf .pybuild/*/build/apyhtest_eva/

=== debian/watch ===
Version: 5
Template: Github
Owner: astropy
Project: extension-helpers
